# Class Spacing

#### Hierarchy

- XmlComponent
  - Spacing

- Defined in file/paragraph/formatting/spacing.ts:28

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new Spacing(options): Spacing

- #### Parameters

  - ##### options: ISpacingProperties

  #### Returns Spacing

  Overrides XmlComponent.constructor

  - Defined in file/paragraph/formatting/spacing.ts:29

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc